Bug 20991 - Error will reset category when editing a patron
Summary: Error will reset category when editing a patron
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-25 21:34 UTC by Katrin Fischer
Modified: 2019-10-14 19:56 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20991: Do not lost patron's category when editing a patron (1.50 KB, patch)
2018-06-26 16:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20991: Do not lost patron's category when editing a patron (1.55 KB, patch)
2018-06-26 21:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20991: Do not lost patron's category when editing a patron (1.60 KB, patch)
2018-06-27 20:43 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-06-25 21:34:13 UTC
- Edit an existing patron
- Change the patron category to a category that triggers the error that the user is not in the right age range for that new category
- Save, error is triggered
- Scroll down - the patron category has been reset
Comment 1 Jonathan Druart 2018-06-26 16:07:15 UTC
Created attachment 76457 [details] [review]
Bug 20991: Do not lost patron's category when editing a patron

If there is an error in the edit patron form the patron's category is
lost.
This seems to be a long standing bug.

Test plan:
- Edit an existing patron
- Change the patron category to a category that triggers the error that
the user is not in the right age range for that new category
- Save, error is triggered
=> Without this patch the patron category has been reset

You should also test different ways to edit/add a patron (quick add,
step 1)
Comment 2 Katrin Fischer 2018-06-26 21:44:47 UTC
Created attachment 76473 [details] [review]
Bug 20991: Do not lost patron's category when editing a patron

If there is an error in the edit patron form the patron's category is
lost.
This seems to be a long standing bug.

Test plan:
- Edit an existing patron
- Change the patron category to a category that triggers the error that
the user is not in the right age range for that new category
- Save, error is triggered
=> Without this patch the patron category has been reset

You should also test different ways to edit/add a patron (quick add,
step 1)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Josef Moravec 2018-06-27 20:43:12 UTC
Created attachment 76539 [details] [review]
Bug 20991: Do not lost patron's category when editing a patron

If there is an error in the edit patron form the patron's category is
lost.
This seems to be a long standing bug.

Test plan:
- Edit an existing patron
- Change the patron category to a category that triggers the error that
the user is not in the right age range for that new category
- Save, error is triggered
=> Without this patch the patron category has been reset

You should also test different ways to edit/add a patron (quick add,
step 1)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Nick Clemens 2018-06-29 21:03:35 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-07-02 09:05:14 UTC
Pushed to 18.05.x for 18.05.02
Comment 6 Fridolin Somers 2018-07-04 14:02:09 UTC
Pushed to 17.11.x for 17.11.08